diff -U 3 -H -d -I '[ ]+$' -r -N -- /tmp/mariadb-11.4.7.orig/mysys/my_init.c /tmp/mariadb-11.4.7/mysys/my_init.c
--- ./mysys/my_init.c.orig	2025-05-19 09:36:45.000000000 -0700
+++ ./mysys/my_init.c	2025-06-03 13:29:32.012072515 -0700
@@ -180,28 +180,6 @@
   if (my_thread_global_init())
     return 1;
 
-  if (my_progname)
-  {
-    char link_name[FN_REFLEN];
-    my_progname_short= my_progname + dirname_length(my_progname);
-    /*
-      if my_progname_short doesn't start from "mariadb", but it's
-      a symlink to an actual executable, that does - warn the user.
-      First try to find the actual name via /proc, but if it's unmounted
-      (which it usually is on FreeBSD) resort to my_progname
-    */
-    if (strncmp(my_progname_short, "mariadb", 7))
-    {
-      int res= 1;
-#ifdef EXE_LINKPATH
-      res= my_readlink(link_name, EXE_LINKPATH, MYF(0));
-#endif
-      if ((res == 0 || my_readlink(link_name, my_progname, MYF(0)) == 0) &&
-           strncmp(link_name + dirname_length(link_name), "mariadb", 7) == 0)
-      my_error(EE_NAME_DEPRECATED, MYF(MY_WME), link_name);
-    }
-  }
-
 #if defined(SAFEMALLOC) && !defined(DBUG_OFF)
   dbug_sanity= sf_sanity;
 #endif
@@ -346,7 +324,7 @@
 #ifdef _WIN32
    WSACleanup();
 #endif
- 
+
   /* At very last, delete mysys key, it is used everywhere including DBUG */
   pthread_key_delete(THR_KEY_mysys);
   my_init_done= my_thr_key_mysys_exists= 0;
@@ -365,7 +343,7 @@
 
 /*
   my_parameter_handler
-  
+
   Invalid parameter handler we will use instead of the one "baked"
   into the CRT.
 */
diff -U 3 -H -d -I '[ ]+$' -r -N -- /tmp/mariadb-11.4.7.orig/scripts/mysql_convert_table_format.sh /tmp/mariadb-11.4.7/scripts/mysql_convert_table_format.sh
--- ./scripts/mysql_convert_table_format.sh.orig	2025-05-19 09:36:45.000000000 -0700
+++ ./scripts/mysql_convert_table_format.sh	2025-06-03 13:30:09.585141377 -0700
@@ -19,9 +19,6 @@
 use DBI;
 use Getopt::Long;
 
-warn "$0: Deprecated program name. It will be removed in a future release, use 'mariadb-convert-table-format' instead\n"
-  if $0 =~ m/mysql_convert_table_format$/;
-
 $opt_help=$opt_version=$opt_verbose=$opt_force=0;
 $opt_user=$opt_database=$opt_password=undef;
 $opt_host="localhost";
diff -U 3 -H -d -I '[ ]+$' -r -N -- /tmp/mariadb-11.4.7.orig/scripts/mysql_find_rows.sh /tmp/mariadb-11.4.7/scripts/mysql_find_rows.sh
--- ./scripts/mysql_find_rows.sh.orig	2025-05-19 09:36:45.000000000 -0700
+++ ./scripts/mysql_find_rows.sh	2025-06-03 13:29:59.738123239 -0700
@@ -18,9 +18,6 @@
 
 use Getopt::Long;
 
-warn "$0: Deprecated program name. It will be removed in a future release, use 'mariadb-find-rows' instead\n"
-  if $0 =~ m/mysql_find_rows$/;
-
 $opt_help=$opt_Information=$opt_skip_use_db=0;
 $opt_regexp=$opt_dbregexp=".*";
 $opt_start_row=1; $opt_rows=9999999999;
diff -U 3 -H -d -I '[ ]+$' -r -N -- /tmp/mariadb-11.4.7.orig/scripts/mysql_install_db.sh /tmp/mariadb-11.4.7/scripts/mysql_install_db.sh
--- ./scripts/mysql_install_db.sh.orig	2025-05-19 09:36:45.000000000 -0700
+++ ./scripts/mysql_install_db.sh	2025-06-03 13:30:23.126166416 -0700
@@ -47,12 +47,6 @@
 dirname0=`dirname $0 2>/dev/null`
 dirname0=`dirname $dirname0 2>/dev/null`
 
-case "$0" in
-  *mysql_install_db)
-    echo "$0: Deprecated program name. It will be removed in a future release, use 'mariadb-install-db' instead" 1>&2
-    ;;
-esac
-
 usage()
 {
   cat <<EOF
diff -U 3 -H -d -I '[ ]+$' -r -N -- /tmp/mariadb-11.4.7.orig/scripts/mysql_secure_installation.sh /tmp/mariadb-11.4.7/scripts/mysql_secure_installation.sh
--- ./scripts/mysql_secure_installation.sh.orig	2025-05-19 09:36:45.000000000 -0700
+++ ./scripts/mysql_secure_installation.sh	2025-06-03 13:30:05.884134554 -0700
@@ -30,12 +30,6 @@
 defaults_group_suffix=
 no_defaults=
 
-case "$0" in
-  *mysql_secure_installation)
-    echo "$0: Deprecated program name. It will be removed in a future release, use 'mariadb-secure-installation' instead" 1>&2
-    ;;
-esac
-
 parse_arg()
 {
   echo "$1" | sed -e 's/^[^=]*=//'
diff -U 3 -H -d -I '[ ]+$' -r -N -- /tmp/mariadb-11.4.7.orig/scripts/mysql_setpermission.sh /tmp/mariadb-11.4.7/scripts/mysql_setpermission.sh
--- ./scripts/mysql_setpermission.sh.orig	2025-05-19 09:36:45.000000000 -0700
+++ ./scripts/mysql_setpermission.sh	2025-06-03 13:30:31.432169479 -0700
@@ -55,9 +55,6 @@
 my $sqlhost = "";
 my $user = "";
 
-warn "$0: Deprecated program name. It will be removed in a future release, use 'mariadb-setpermission' instead\n"
-  if $0 =~ m/mysql_setpermission$/;
-
 $dbh=$host=$opt_user= $opt_password= $opt_help= $opt_host= $opt_socket= "";
 $opt_port=3306;
 
diff -U 3 -H -d -I '[ ]+$' -r -N -- /tmp/mariadb-11.4.7.orig/scripts/mysqlaccess.sh /tmp/mariadb-11.4.7/scripts/mysqlaccess.sh
--- ./scripts/mysqlaccess.sh.orig	2025-05-19 09:36:45.000000000 -0700
+++ ./scripts/mysqlaccess.sh	2025-06-03 13:30:18.648158123 -0700
@@ -32,8 +32,6 @@
         $script      = 'MySQLAccess' unless $script;
 	$script_conf = "$script.conf";
 	$script_log  = $ENV{'HOME'}."/$script.log";
-        warn "$0: Deprecated program name. It will be removed in a future release, use 'mariadb-access' instead\n"
-          if $0 =~ m/mysqlaccess$/;
 
 	# ****************************
 	# information on MariaDB
diff -U 3 -H -d -I '[ ]+$' -r -N -- /tmp/mariadb-11.4.7.orig/scripts/mysqld_multi.sh /tmp/mariadb-11.4.7/scripts/mysqld_multi.sh
--- ./scripts/mysqld_multi.sh.orig	2025-05-19 09:36:45.000000000 -0700
+++ ./scripts/mysqld_multi.sh	2025-06-03 13:30:27.212173978 -0700
@@ -50,9 +50,6 @@
 $my_progname = $0;
 $my_progname =~ s/.*[\/]//;
 
-warn "$0: Deprecated program name. It will be removed in a future release, use 'mariadb-multi' instead\n"
-  if $0 =~ m/mysqld_multi$/;
-
 if (defined($ENV{UMASK})) {
   my $UMASK = $ENV{UMASK};
   my $m;
diff -U 3 -H -d -I '[ ]+$' -r -N -- /tmp/mariadb-11.4.7.orig/scripts/mysqld_safe.sh /tmp/mariadb-11.4.7/scripts/mysqld_safe.sh
--- ./scripts/mysqld_safe.sh.orig	2025-05-19 09:36:45.000000000 -0700
+++ ./scripts/mysqld_safe.sh	2025-06-03 13:30:13.416148452 -0700
@@ -40,12 +40,6 @@
 
 trap '' 1 2 3 15			# we shouldn't let anyone kill us
 
-case "$0" in
-  *mysqld_safe)
-    echo "$0: Deprecated program name. It will be removed in a future release, use 'mariadbd-safe' instead" 1>&2
-    ;;
-esac
-
 # MySQL-specific environment variable. First off, it's not really a umask,
 # it's the desired mode. Second, it follows umask(2), not umask(3) in that
 # octal needs to be explicit. Our shell might be a proper sh without printf,
diff -U 3 -H -d -I '[ ]+$' -r -N -- /tmp/mariadb-11.4.7.orig/scripts/mysqldumpslow.sh /tmp/mariadb-11.4.7/scripts/mysqldumpslow.sh
--- ./scripts/mysqldumpslow.sh.orig	2025-05-19 09:36:45.000000000 -0700
+++ ./scripts/mysqldumpslow.sh	2025-06-03 13:29:53.493111763 -0700
@@ -26,9 +26,6 @@
 use strict;
 use Getopt::Long;
 
-warn "$0: Deprecated program name. It will be removed in a future release, use 'mariadb-dumpslow' instead\n"
-  if $0 =~ m/mysqldumpslow$/;
-
 # t=time, l=lock time, r=rows, a=rows affected
 # at, al, ar and aa are the corresponding averages
 
diff -U 3 -H -d -I '[ ]+$' -r -N -- /tmp/mariadb-11.4.7.orig/scripts/mysqlhotcopy.sh /tmp/mariadb-11.4.7/scripts/mysqlhotcopy.sh
--- ./scripts/mysqlhotcopy.sh.orig	2025-05-19 09:36:45.000000000 -0700
+++ ./scripts/mysqlhotcopy.sh	2025-06-03 13:29:56.439117173 -0700
@@ -27,8 +27,6 @@
 use File::Copy;
 use File::Temp qw(tempfile);
 
-warn "$0: Deprecated program name. It will be removed in a future release, use 'mariadb-hotcopy' instead\n"
-  if $0 =~ m/mysqlhotcopy$/;
 
 =head1 NAME
 
